Page MenuHomePhabricator

state: moved cmdutil.STATES and utilities to state.py
ClosedPublic

Authored by taapas1128 on Jun 8 2019, 4:57 PM.

Details

Summary

This commit moves cmdutil.STATES and adjoining functions to
state.py. The existing users are updated accordingly.

Tests remain unchanged.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

taapas1128 created this revision.Jun 8 2019, 4:57 PM
martinvonz added inline comments.
mercurial/state.py
124–125

Nit: This should be moved to the patch that introduced the bad formatting.

134

This feels a lot like morestatus functionality and should perhaps have been left in cmdutil.py.

taapas1128 updated this revision to Diff 15401.Jun 9 2019, 8:31 AM
taapas1128 updated this revision to Diff 15404.Jun 9 2019, 8:53 AM
taapas1128 added inline comments.Jun 9 2019, 8:58 AM
mercurial/state.py
134

morestatus functionality is left in cmdutil.py only the place where it checks for unfinished states that is _morestatus has been moved here.

134

_getrepostate not more status

taapas1128 updated this revision to Diff 15425.Jun 10 2019, 1:54 PM
taapas1128 updated this revision to Diff 15439.Jun 11 2019, 9:48 AM
taapas1128 updated this revision to Diff 15515.Jun 14 2019, 3:28 PM
pulkit accepted this revision as: pulkit.Jun 14 2019, 6:48 PM
taapas1128 updated this revision to Diff 15528.Jun 15 2019, 6:39 AM
taapas1128 updated this revision to Diff 15536.Jun 17 2019, 7:36 AM
taapas1128 updated this revision to Diff 15552.Jun 17 2019, 2:08 PM
martinvonz added inline comments.Jun 18 2019, 11:29 AM
mercurial/cmdutil.py
623

Should drop the _ from _getrepostate since it's no longer private.

taapas1128 marked an inline comment as done.Jun 18 2019, 11:46 AM
taapas1128 updated this revision to Diff 15579.
martinvonz accepted this revision.Jun 18 2019, 11:48 AM
This revision is now accepted and ready to land.Jun 18 2019, 11:48 AM
taapas1128 updated this revision to Diff 15583.Jun 18 2019, 1:05 PM
taapas1128 updated this revision to Diff 15640.Jun 24 2019, 5:33 AM
This revision was automatically updated to reflect the committed changes.